package main

import (
	"fmt"
	"os"

	"shillerben.com/gitlab/shillerben/projecteuler/pe26"
)

var solve_funcs = map[string]func([]string){
	"26": pe26.Solve,
}

func main() {
	if len(os.Args) < 3 {
		fmt.Println("usage: projecteuler <problem number> <problem args>")
		return
	}

	problem_number := os.Args[1]
	problem_args := os.Args[2:]

	solve_funcs[problem_number](problem_args)
}
